Bug 923531 - SELinux is preventing /usr/lib/systemd/systemd-localed from 'search' accesses on the directory /etc/X11/xorg.conf.d.
Summary: SELinux is preventing /usr/lib/systemd/systemd-localed from 'search' accesses...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 19
Hardware: noarch
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-20 03:58 UTC by sangu
Modified: 2013-04-19 05:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-19 05:53:19 UTC
Type: Bug


Attachments (Terms of Use)

Description sangu 2013-03-20 03:58:23 UTC
Description of problem:

SELinux is preventing /usr/lib/systemd/systemd-localed from 'search' accesses on the directory /etc/X11/xorg.conf.d.

*****  Plugin catchall (100. confidence) suggests  ***************************

If systemd-localed는 디폴트로 xorg.conf.d directory에서 search 액세스를 허용해야 합니다. 
Then 이 버그를 보고해야 합니다. 
이러한 액세스를 허용하기 위해 로컬 정채 모듈을 생성할 수 있습니다. 
Do
지금 이 액세스를 허용하려면 다음을 실행합니다: 
# grep systemd-localed /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:systemd_localed_t:s0
Target Context                system_u:object_r:xserver_etc_t:s0
Target Objects                /etc/X11/xorg.conf.d [ dir ]
Source                        systemd-localed
Source Path                   /usr/lib/systemd/systemd-localed
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           systemd-198-6.fc19.x86_64
Target RPM Packages           xorg-x11-server-Xorg-1.14.0-1.fc19.x86_64
Policy RPM                    selinux-policy-3.12.1-22.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.0-0.rc2.git0.2.fc19.x86_64 #1
                              SMP Mon Mar 11 19:28:15 UTC 2013 x86_64 x86_64
Alert Count                   3
First Seen                    2013-03-20 12:29:47 KST
Last Seen                     2013-03-20 12:49:39 KST
Local ID                      beee8fa6-f1bb-4982-9cd0-690af56bbd65

Raw Audit Messages
type=AVC msg=audit(1363751379.30:62): avc:  denied  { search } for  pid=13973 comm="systemd-localed" name="xorg.conf.d" dev="sda3" ino=2097298 scontext=system_u:system_r:systemd_localed_t:s0 tcontext=system_u:object_r:xserver_etc_t:s0 tclass=dir


type=SYSCALL msg=audit(1363751379.30:62): arch=x86_64 syscall=open success=no exit=EACCES a0=7fa638d8b6c8 a1=80000 a2=1b6 a3=3 items=0 ppid=1 pid=13973 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=systemd-localed exe=/usr/lib/systemd/systemd-localed subj=system_u:system_r:systemd_localed_t:s0 key=(null)

Hash: systemd-localed,systemd_localed_t,xserver_etc_t,dir,search

audit2allow

#============= systemd_localed_t ==============
allow systemd_localed_t xserver_etc_t:dir search;

audit2allow -R
require {
	type systemd_localed_t;
}

#============= systemd_localed_t ==============
xserver_read_config(systemd_localed_t)

Version-Release number of selected component (if applicable):
3.12.1-22.fc19

How reproducible:
always

Steps to Reproduce:
1. $ localectl
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Miroslav Grepl 2013-03-20 12:25:43 UTC
Fixed in selinux-policy-3.12.1-23.fc19.noarch

Comment 2 Fedora Update System 2013-04-08 11:42:20 UTC
selinux-policy-3.12.1-28.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19

Comment 3 Fedora Update System 2013-04-08 15:51:14 UTC
Package selinux-policy-3.12.1-28.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-28.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-19 05:53:21 UTC
selinux-policy-3.12.1-28.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.